\begin{exercise}{5.2}
  The dataset has been created using the function \texttt{sklearn.datasets.make\_classification}, using the parameters that can be read in the code. What is important is that there are 20 components, but only 3 are informative, and the remaining 17 are liner combination of the previous ones.
  
  The value of the regularization parameter has been chosen as the best among 300 sampled from \emph{log-uniform} distribution between 1 and 1000. The results are shown in Figure~\ref{fig:5.2}. All kernel, except the sigmoid, understand that the problem has a lower dimension respect to the actual numeber of features. 
  \begin{figure}[h!]
    \centering
    \begin{subfigure}{0.5\textwidth}
      \includegraphics[width=\linewidth]{\RootPathSheetFive/ex2/errors.pdf}
      \caption{accuracies}
    \end{subfigure}\hfil
    \begin{subfigure}{0.5\textwidth}
      \includegraphics[width=\linewidth]{\RootPathSheetFive/ex2/svns.pdf}
      \caption{number of SV}
    \end{subfigure}
   
    
    \caption{}
    \label{fig:5.2}
  \end{figure}

  \pythoncode{\RootPathSheetFive/ex2/code.py}
\end{exercise}